Subject: PASV for anonymous on Solaris 2.3

From: [email-masked] (G. Ken Sharpe, Jr.)
Date: Tue, 20 Jun 1995 13:56:31 -0400

I have wu-ftpd 2.4 on a Sparc10 running Solaris 2.3.  All users can initiate
a PASV transfer except anonymous.  The line that is failing is:
        pdata = socket(AF_INET, SOCK_STREAM, 0);
in the passive() function in src/ftpd.c.  The error is:
        "425 Can't open passive connection: Permission denied."
I've checked all the man pages to identify the permissions problems, but
nothing has fixed it yet.  Does anyone have a similar problem or the
solution?  Maybe a patch to Solaris 2.3 that I haven't applied?

Thanks
--
Ken

G. Ken Sharpe, Jr.         |Network Development
[email-masked]         |Federal Express Corporation
(901) 375-6950             |2828 Business Park Dr, Bldg H
(901) 375-6934, FAX        |Memphis, TN  38118-2811